<?php if ( has_nav_menu( 'main_menu' ) ) : ?>
<?php if( is_front_page() || is_home() || is_404() ) { 
  $heading = 'h1';
   } else { 
  $heading = 'h2';
} ?> 
    <div class="row rsrc-top-menu" >
        <nav id="site-navigation" class="navbar navbar-inverse" role="navigation">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-1-collapse">
                        <span class="sr-only"><?php _e('Toggle navigation','blogmaster'); ?></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <?php if ( get_theme_mod( 'header-logo', '' ) != '' ) : ?>
            <div class="rsrc-header-img">
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url(get_theme_mod('header-logo')); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>
            </div>
            <?php else : ?>
            <div class="rsrc-header-text">
                <<?php echo $heading ?> class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?></a></<?php echo $heading ?>>   
            </div>
            <?php endif; ?>
                </div>
                <?php
                wp_nav_menu( array(
                        'theme_location'    => 'main_menu',
                        'depth'             => 3,
                        'container'         => 'div', 
                        'container_class'   => 'collapse navbar-collapse navbar-1-collapse',
                        'menu_class'        => 'nav navbar-nav navbar-right',
                        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                        'walker'            => new wp_bootstrap_navwalker())
                );
                ?>
        </nav>
    </div>
<?php endif; ?>

